Banking as a Service
Get Account
Retrieve details of a BaaS bank account
GET
/
v1
/
baas
/
accounts
/
{account_id}
Get Account
curl --request GET \
--url https://api-sandbox.y.uno/v1/baas/accounts/{account_id}import requests
url = "https://api-sandbox.y.uno/v1/baas/accounts/{account_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-sandbox.y.uno/v1/baas/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "acc_770e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"currency": "USD",
"country": "US",
"account_details": {
"account_number": "1234567890",
"routing_number": "021000021"
},
"status": "ACTIVE",
"created_at": "2026-02-01T15:00:00Z",
"updated_at": "2026-02-01T15:00:00Z"
}
{
"code": "ACCOUNT_NOT_FOUND",
"messages": ["Account not found"],
"http_code": 404
}
Path parameters
string
required
The BaaS account identifier.
Response
Returns the account object with the same schema as the Create Account response.{
"id": "acc_770e8400-e29b-41d4-a716-446655440000",
"entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
"currency": "USD",
"country": "US",
"account_details": {
"account_number": "1234567890",
"routing_number": "021000021"
},
"status": "ACTIVE",
"created_at": "2026-02-01T15:00:00Z",
"updated_at": "2026-02-01T15:00:00Z"
}
{
"code": "ACCOUNT_NOT_FOUND",
"messages": ["Account not found"],
"http_code": 404
}
⌘I
Get Account
